diff -pruN 2.1.1~dfsg2-3/debian/changelog 2.1.1~dfsg2-4/debian/changelog
--- 2.1.1~dfsg2-3/debian/changelog	2024-01-31 21:20:50.000000000 +0000
+++ 2.1.1~dfsg2-4/debian/changelog	2024-06-15 15:42:33.000000000 +0000
@@ -1,3 +1,12 @@
+ontospy (2.1.1~dfsg2-4) unstable; urgency=medium
+
+  * add patch 1001 to modernize SPARQL endpoints
+  * declare compliance with Debian Policy 4.7.0
+  * relax to build-depend unversioned
+    when version is satisfied in Debian stable
+
+ -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Jun 2024 17:42:33 +0200
+
 ontospy (2.1.1~dfsg2-3) unstable; urgency=medium
 
   * add patch 1006 to support Python 3.12;
diff -pruN 2.1.1~dfsg2-3/debian/control 2.1.1~dfsg2-4/debian/control
--- 2.1.1~dfsg2-3/debian/control	2024-01-31 21:19:40.000000000 +0000
+++ 2.1.1~dfsg2-4/debian/control	2024-06-15 15:40:16.000000000 +0000
@@ -18,7 +18,7 @@ Build-Depends:
  libtest-tempdir-tiny-perl <!nocheck>,
  perl <!nocheck>,
  python3,
- python3-click (>= 8),
+ python3-click,
  python3-colorama,
  python3-html5lib,
  python3-jinja2 <!nocheck>,
@@ -26,12 +26,12 @@ Build-Depends:
  python3-pyfiglet,
  python3-pygments,
  python3-pyparsing,
- python3-rdflib (>= 6),
+ python3-rdflib,
  python3-requests,
  python3-setuptools,
  python3-sparqlwrapper,
  toilet-fonts <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/ontospy.git
 Vcs-Browser: https://salsa.debian.org/debian/ontospy
 Homepage: https://lambdamusic.github.io/Ontospy/
diff -pruN 2.1.1~dfsg2-3/debian/copyright_hints 2.1.1~dfsg2-4/debian/copyright_hints
--- 2.1.1~dfsg2-3/debian/copyright_hints	2024-01-31 21:20:45.000000000 +0000
+++ 2.1.1~dfsg2-4/debian/copyright_hints	2024-06-15 15:42:33.000000000 +0000
@@ -15,6 +15,7 @@ Files: MANIFEST.in
  debian/ontospy.install
  debian/ontospy.manpages
  debian/patches/1000~3e96eaa.patch
+ debian/patches/1001_endpoint_URIs.patch
  debian/patches/1002_jquery.patch
  debian/patches/1003_bootstrap.patch
  debian/patches/1004_chart.patch
diff -pruN 2.1.1~dfsg2-3/debian/patches/1001_endpoint_URIs.patch 2.1.1~dfsg2-4/debian/patches/1001_endpoint_URIs.patch
--- 2.1.1~dfsg2-3/debian/patches/1001_endpoint_URIs.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.1.1~dfsg2-4/debian/patches/1001_endpoint_URIs.patch	2024-06-15 15:38:28.000000000 +0000
@@ -0,0 +1,65 @@
+Description: modernize SPARQL endpoints
+Author: Jonas Smedegaard <dr@jones.dk>
+Last-Update: 2024-06-15
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/ontospy/core/__init__.py
++++ b/ontospy/core/__init__.py
+@@ -55,9 +55,13 @@
+ ]
+ 
+ # sample endpoints
++# more: https://www.mediawiki.org/wiki/Wikidata_Query_Service/User_Manual/SPARQL_Federation_endpoints
+ BOOTSTRAP_ENDPOINTS = [
+-    "http://dbpedia.org/sparql", 
+-    "http://data.semanticweb.org/sparql",
+-    "http://linkedgeodata.org/sparql", 
+-    "http://sparql.data.southampton.ac.uk/"
++    "https://dbpedia.org/sparql",
++    "http://linkedgeodata.org/sparql",
++    "https://query.wikidata.org/sparq",
++    "dbtune.org/bbc/peel/cliopatria/sparql",
++    "http://opencitations.net/sparql",
++    "https://lov.linkeddata.es/dataset/lov/sparql",
++    "http://dbtune.org/musicbrainz/sparql"
+ ]
+--- a/ontospy/extras/hacks/dbpedia.py
++++ b/ontospy/extras/hacks/dbpedia.py
+@@ -47,7 +47,7 @@
+ class DBpediaEndpoint(SparqlEndpoint):
+ 
+     def __init__(self, prefixes={}, verbose=True):
+-        endpoint = "http://dbpedia.org/sparql"
++        endpoint = "https://dbpedia.org/sparql"
+ 
+         prefixes = {
+             "dbpedia-owl": "http://dbpedia.org/ontology/",
+@@ -170,7 +170,7 @@
+  # OLD TEST QUERY
+ 
+     # s = DBpediaEndpoint()
+-    # resource_uri = "http://dbpedia.org/resource/Foobar"
++    # resource_uri = "https://dbpedia.org/resource/Foobar"
+ 
+     # results = s.query("""
+     #     SELECT ?o
+--- a/ontospy/tests/test_sparql.py
++++ b/ontospy/tests/test_sparql.py
+@@ -24,7 +24,7 @@
+ 
+ class TestSparqlStore(unittest.TestCase):
+ 
+-    ENDPOINT = "http://dbpedia.org/sparql"
++    ENDPOINT = "https://dbpedia.org/sparql"
+ 
+     printDebug(f"""\n=================\n
+     \nTEST SPARQL: Loading data from remote endpoint.
+@@ -36,7 +36,7 @@
+ 
+         """
+         Check if the dbpedia endpoint loads ok
+-        "http://dbpedia.org/sparql"
++        "https://dbpedia.org/sparql"
+         """
+         printDebug("\n=================\nTEST: Querying <%s> endpoint...\n=================" % self.ENDPOINT, bg="green")
+ 
diff -pruN 2.1.1~dfsg2-3/debian/patches/series 2.1.1~dfsg2-4/debian/patches/series
--- 2.1.1~dfsg2-3/debian/patches/series	2024-01-31 21:13:39.000000000 +0000
+++ 2.1.1~dfsg2-4/debian/patches/series	2024-06-15 15:07:38.000000000 +0000
@@ -1,4 +1,5 @@
 1000~3e96eaa.patch
+1001_endpoint_URIs.patch
 1002_jquery.patch
 1003_bootstrap.patch
 1004_chart.patch
